Subject: CLISP as a shared library?

From: haible (Bruno Haible)
Date: Sun, 31 Jul 94 19:39:07 +0200

In comp.lang.lisp, Lawrence G. Mayka <[email-masked]> wrote:

> In article <[email-masked]> [email-masked] (Peter da Silva) writes:
> 
>    In article <[email-masked]>,
>    Lawrence G. Mayka <[email-masked]> wrote:
> 
>    > I think the original question that started this thread was, "Why did
>    > people go to the trouble of designing a whole new language for these
>    > operations when it would have been so much easier to just graft them
>    > into Lisp?"
> 
>    They did, and then discovered a 1.5 megabyte executable to search through
>    a file was a bit of a drag on the system.
> 
> About 700KB of CLISP is object-file text and could perhaps go into a
> shared library.  A large portion of the remainder is, I think,
> byte-compiled Lisp text and could perhaps go into shared memory.
> Perhaps someone will look into these possibilities?

I think the byte-compiled Lisp stuff could go into a shared library
as well.

Perhaps someone will look into these possibilities?